Blog: get

Mengambil blog berdasarkan ID-nya. Coba sekarang atau lihat contoh.

Otorisasi diperlukan jika blog bersifat pribadi. Jika blog bersifat publik, metode ini dapat dipanggil tanpa otorisasi.

Permintaan

Permintaan HTTP

GET https://www.googleapis.com/blogger/v3/blogs/blogId

Parameter

Nama parameter Nilai Deskripsi
Parameter yang diperlukan
blogId string ID blog yang akan didapatkan.
Parameter opsional
maxPosts unsigned integer Jumlah maksimum postingan yang akan diambil bersama blog. Jika parameter ini tidak ditentukan, tidak ada postingan yang akan ditampilkan sebagai bagian dari resource blog.

Isi permintaan

Jangan berikan isi permintaan dengan metode ini.

Respons

Jika berhasil, metode ini akan menampilkan resource Blogs dalam isi respons.

Contoh

Catatan: Contoh kode yang tersedia untuk metode ini tidak merepresentasikan semua bahasa pemrograman yang didukung (lihat halaman library klien untuk mengetahui daftar bahasa yang didukung).

Java

Menggunakan library klien Java

// The BlogId for the http://code.blogger.com/ blog.
String CODE_BLOG_ID = "3213900";

// Configure the Java API Client for Installed Native AppHttpTr
ansport HTTP_TRANSPORT = new NetHttpTransport();JsonFa
ctory JSON_FACTORY = new JacksonFactory();
class="devsite-syntax-c1">// Configure for the Installed App OAuth2 flow.Credential c
redential = OAuth2Native.authorize(HTTP_TRANSPORT, JSON_FACTOR
Y, new LocalServerReceiver(), Arrays.asLi
st(BloggerScopes.BLOGGER));span> <span class
="devsite-syntax-c1">// Construct the Blogger API access facade object.Blogger blogger =
Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setApplicationNa
me("Blogger-BlogGet-Snippet/1.0") .setHttpRequestIn
itializer(credential).build(); // This is the request action that you can configure before sending the request.Get blogGetAction = blog
ger.blogs().get(CODE_BLOG_ID);
// Restrict the result content to just the data we need.blogGetAction.setFields(

"description,name,posts/totalItems,updated");// This step sends the r

equest to the server.Blog blog = blogGetActio
n.execute();
// Now we can navigate the response.System.out.println("Name
: "+blog.getName());System.out.println("Desc
ription: "+blog.getDescription());System.out.println("Post
Count: "+blog.getPosts().getTotalItems());System.out.println("Last
Updated: "+blog.getUpdated());an>

Cobalah!

Gunakan API Explorer di bawah untuk memanggil metode ini pada data langsung dan melihat responsnya.